Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 32529 - repoman should cvs add files/ if it isn't already
Summary: repoman should cvs add files/ if it isn't already
Status: RESOLVED WONTFIX
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks:
 
Reported: 2003-11-02 04:21 UTC by Markus Nigbur (RETIRED)
Modified: 2014-04-25 12:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Nigbur (RETIRED) gentoo-dev 2003-11-02 04:21:31 UTC
Since repoman won't create digests if files/ isn't added to cvs, it should auto add it.
/usr/sbin/ebuild <ebuild> digest does it already.
Comment 1 Jason Stubbs (RETIRED) gentoo-dev 2005-07-28 07:25:35 UTC
Putting a hold on feature requests for portage as they are drowning out the 
bugs. Most of these features should be available in the next major version of 
portage. But for the time being, they are just drowning out the major bugs and 
delaying the next version's progress. 
 
Any bugs that contain patches and any bugs for etc-update or dispatch-conf can 
be reopened. Sorry, I'm just not good enough with bugzilla. ;) 
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-01-25 22:20:59 UTC
I personally don't like this, repoman isn't here to do your work for you.  However others may have different opinions on this, and it's not a difficult proposition.
Comment 3 solar (RETIRED) gentoo-dev 2006-01-26 07:49:53 UTC
I'm not found of the idea either. There have been times when I've done my 
repoman --pretend scan in $PWD and thankfully repoman has let me know that I have files not added to the repo and those have been files I would not want added 
to the repo either. 
Comment 4 Marius Mauch (RETIRED) gentoo-dev 2006-01-27 06:37:24 UTC
Don't see a problem with adding the files/ directory with FEATURES=autoaddcvs. This isn't about auto-adding any files in there as far as I underatnd it, and files/ is mandatory for package dirs anyway.
Comment 5 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-03-15 13:31:25 UTC
Would there be a valid enough reason to automate this?

For instance, we don't automate trivial problems like correcting the copyright header either...
Comment 6 Zac Medico gentoo-dev 2013-03-15 14:51:24 UTC
(In reply to comment #5)
> Would there be a valid enough reason to automate this?

I would prefer not to, for the same reason that tools like cvs and git don't add files automatically.